为什么android模拟器在eclipse不能运行?

我是android的初学者,我的模拟器不能运行,我在如下的路径安装了eclipse.exe文件, D:\uni course software\android\eclipse
下面是报错信息:

Android Launch!
adb is running normally.
 Performing com.example.loginpg.LoginpgActivity activity launch
 Automatic Target Mode: launching new emulator with compatible AVD 'fyp'
 Launching a new emulator with Virtual Device 'fyp'
 invalid command-line parameter: course.
 Hint: use '@foo' to launch a virtual device named 'foo'.
please use -help for more information

3个回答

"D:\uni course software\android\eclipse"文件中software前面有多个空格,
course是无效的命令行参数.
用没有空格的目录来记录,例如 c:\android-dev

xiaoyan_12
xiaoyan_12 谢谢你的答案!
大约 8 年之前 回复

应该是有效的Android虚拟设备不能加载,点击Dteails看一下提示错误:路径:c:user.androidavd1.6.avd和目标Android 1.6 (API level 4) Skin: HVGA SD cARD: 256M
看这个对不对。

xiaoyan_12
xiaoyan_12 嗯,我查了,排出了这个错误可能性。
大约 8 年之前 回复

SDK安装路径不能有空格和中文,我也是这个问题。重装一下改下路径就可以了。

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐